Subject: Re: [syzbot] [can?] possible deadlock in j1939_session_activate

From: syzbot <[email-masked]>
Date: Thu, 14 Mar 2024 22:08:04 -0700

syzbot suspects this issue was fixed by commit:

commit 6cdedc18ba7b9dacc36466e27e3267d201948c8d
Author: Ziqi Zhao <[email-masked]>
Date:   Fri Jul 21 16:22:26 2023 +0000

    can: j1939: prevent deadlock by changing j1939_socks_lock to rwlock

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10c1afc1180000
start commit:   296455ade1fd Merge tag 'char-misc-6.8-rc1' of git://git.ke..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=8e8eb82c088a8ac6
dashboard link: https://syzkaller.appspot.com/bug?extid=f32cbede7fd867ce0d56
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11d7b3afe80000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=16ba0a4fe80000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: can: j1939: prevent deadlock by changing j1939_socks_lock to rwlock

For information about bisection process see: https://goo.gl/tpsmEJ#bisection